// Code scaffolded by goctl. Safe to edit.
// goctl 1.9.2

package svc

import (
	"juwan-backend/app/wallet/api/internal/config"
	"juwan-backend/app/wallet/rpc/walletservice"

	"github.com/zeromicro/go-zero/zrpc"
)

type ServiceContext struct {
	Config    config.Config
	WalletRpc walletservice.WalletService
}

func NewServiceContext(c config.Config) *ServiceContext {
	return &ServiceContext{
		Config:    c,
		WalletRpc: walletservice.NewWalletService(zrpc.MustNewClient(c.WalletRpcConf)),
	}
}
